/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ComisionistaExterno;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderComisionistaExterno implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ComisionistaExterno comisionistaExterno = (ComisionistaExterno) o;

        Listcell lc = new Listcell();

        lc = new Listcell(comisionistaExterno.getComisionistaexternoId().toString());
        lc.setParent(lstm);

        lc = new Listcell(comisionistaExterno.getDesccomisionista());
        lc.setParent(lstm);

        lstm.setAttribute("data", comisionistaExterno);
    }
}
